# Generated by Django 3.2.9 on 2021-12-02 12:05

import common.files.upload
import common.validators.files
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Track',
            fields=[
                ('entry_created_at', models.DateTimeField(auto_now_add=True, verbose_name='Entry created at')),
                ('entry_updated_at', models.DateTimeField(auto_now=True, verbose_name='Entry updated at')),
                ('id', models.AutoField(db_index=True, primary_key=True, serialize=False, verbose_name='identifier')),
                ('name', models.CharField(max_length=50, verbose_name='name')),
                ('description', models.TextField(blank=True, null=True, verbose_name='description')),
                ('public', models.BooleanField(default=True, verbose_name='public')),
                ('file', models.FileField(max_length=254, upload_to=common.files.upload.default_upload_to, validators=[common.validators.files.validate_file_size, common.validators.files.validate_music_file], verbose_name='file')),
                ('owner', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='owner', to=settings.AUTH_USER_MODEL, verbose_name='owner')),
            ],
            options={
                'ordering': ['-entry_created_at', 'entry_updated_at'],
                'abstract': False,
            },
        ),
    ]
