# Generated by Django 4.0.3 on 2022-05-18 16:51

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('contenttypes', '0002_remove_content_type_name'),
        ('common', '0004_alter_track_id'),
    ]

    operations = [
        migrations.CreateModel(
            name='Vote',
            fields=[
                ('entry_created_at', models.DateTimeField(auto_now_add=True, verbose_name='entry created at')),
                ('entry_updated_at', models.DateTimeField(auto_now=True, verbose_name='entry updated at')),
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False, verbose_name='identifier')),
                ('is_positive', models.BooleanField(default=True, verbose_name='positive vote?')),
                ('object_id', models.PositiveBigIntegerField(db_index=True, verbose_name='object identifier')),
                ('content_type', models.ForeignKey(limit_choices_to={'app_label__in': ('roleplay',), 'model__in': ('campaign', 'place')}, on_delete=django.db.models.deletion.CASCADE, related_name='content_type', to='contenttypes.contenttype', verbose_name='model associated')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='user', to=settings.AUTH_USER_MODEL, verbose_name='user')),
            ],
            options={
                'verbose_name': 'vote',
                'verbose_name_plural': 'votes',
            },
        ),
        migrations.AddIndex(
            model_name='vote',
            index=models.Index(fields=['user', 'content_type', 'object_id'], name='common_vote_user_id_dea87d_idx'),
        ),
        migrations.AlterUniqueTogether(
            name='vote',
            unique_together={('user', 'content_type', 'object_id')},
        ),
    ]
