# Generated by Django 4.0.3 on 2022-04-04 12:15

from django.conf import settings
from django.db import migrations

from common.constants import models as constants
from common.utils import create_faker


def create_bot_user(apps, schema_editor):
    fake = create_faker()
    User = apps.get_model(constants.REGISTRATION_USER)
    if not User.objects.filter(email=settings.DEFAULT_FROM_EMAIL).exists():
        User.objects.create_user(
            username='Oil & Rope Bot',
            email=settings.DEFAULT_FROM_EMAIL,
            # NOTE: Password can be changed from admin site so there's nothin to worry here
            password=fake.password(),
        )


def delete_bot_user(apps, schema_editor):
    User = apps.get_model(constants.REGISTRATION_USER)
    User.objects.filter(email=settings.DEFAULT_FROM_EMAIL).delete()


class Migration(migrations.Migration):

    dependencies = [
        ('registration', '0007_alter_user_options'),
    ]

    operations = [
        migrations.RunPython(code=create_bot_user, reverse_code=delete_bot_user),
    ]
